Package tigase.server

# Class ConnectionManager.PortsConfigBean

java.lang.Object
tigase.server.ConnectionManager.PortsConfigBean

All Implemented Interfaces:
  `Initializable`, `RegistrarBean`, `RegistrarBeanWithDefaultBeanClass`

Enclosing class:
  ConnectionManager<IO extends XMPPIOService<?>>

@Bean(name="connections", parent=ConnectionManager.class, active=true, exportable=true) public static class ConnectionManager.PortsConfigBean extends Object implements RegistrarBeanWithDefaultBeanClass, Initializable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PortsConfigBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getDefaultBeanClass()`
  Returns default class for all bean which are defined using configuration as subbeans of bean implementing this interface.
  `ConnectionManager.PortConfigBean[]`
  `getPortsBeans()`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `void`
  `register(Kernel kernel)`
  Method called when bean is being registered allowing developer to programatically register other beans.
  `void`
  `start()`
  `void`
  `stop()`
  `void`
  `unregister(Kernel kernel)`
  Method called while bean is being unregistered.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PortsConfigBean

    public PortsConfigBean()

- ## Method Details

  - ### getPortsBeans

    public ConnectionManager.PortConfigBean[] getPortsBeans()

  - ### getDefaultBeanClass

    public Class<?> getDefaultBeanClass()
    Description copied from interface: `RegistrarBeanWithDefaultBeanClass`
    Returns default class for all bean which are defined using configuration as subbeans of bean implementing this interface. This allows users to have more convenient configuration file without the need to specify class for each of subbbeans if most of them will have the same class.
    Specified by:
      `getDefaultBeanClass` in interface `RegistrarBeanWithDefaultBeanClass`

  - ### register

    public void register(Kernel kernel)
    Description copied from interface: `RegistrarBean`
    Method called when bean is being registered allowing developer to programatically register other beans.
    Specified by:
      `register` in interface `RegistrarBean`
    Parameters:
      `kernel` - - instance from local scope

  - ### unregister

    public void unregister(Kernel kernel)
    Description copied from interface: `RegistrarBean`
    Method called while bean is being unregistered.
    Specified by:
      `unregister` in interface `RegistrarBean`
    Parameters:
      `kernel` - - instance from local scope

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`

  - ### start

    public void start()

  - ### stop

    public void stop()